searchData={"items":[{"type":"module","title":"OpenHours","doc":"Documentation for OpenHours.","ref":"OpenHours.html"},{"type":"module","title":"OpenHours.Common","doc":"","ref":"OpenHours.Common.html"},{"type":"function","title":"OpenHours.Common.day_index_to_atom/1","doc":"","ref":"OpenHours.Common.html#day_index_to_atom/1"},{"type":"function","title":"OpenHours.Common.weekday/1","doc":"","ref":"OpenHours.Common.html#weekday/1"},{"type":"module","title":"OpenHours.Interval","doc":"This module contains functions for working with intervals of time.","ref":"OpenHours.Interval.html"},{"type":"function","title":"OpenHours.Interval.difference/2","doc":"Calculates the difference between two intervals or two lists of intervals.\n\nIt always returns a list of intervals.","ref":"OpenHours.Interval.html#difference/2"},{"type":"function","title":"OpenHours.Interval.within?/2","doc":"Returns true if the interval contains the instant.","ref":"OpenHours.Interval.html#within?/2"},{"type":"type","title":"OpenHours.Interval.t/0","doc":"A tuple of two Time structs representing the beginning and end of an interval.","ref":"OpenHours.Interval.html#t:t/0"},{"type":"module","title":"OpenHours.Schedule","doc":"This module contains functions to work with schedules.\n\nThere are five settings to configure a schedule.\n\n- `hours`: Map containing all the open hours intervals for a regular week.\n- `holidays`: Dates in which the business is closed.\n- `shifts`: Special dates where the business has a different hour schedule.\n- `breaks`: Special dates where the business has interruption intervals.\n- `time_zone`: Time zone of the schedule.\n\nAll the `%Time{}` values used for the schedule must be in local time.","ref":"OpenHours.Schedule.html"},{"type":"function","title":"OpenHours.Schedule.in_hours?/2","doc":"It returns `true` if the supplied `%DateTime{}` is within the business hours. The result is\ncalculated based on all the settings of the schedule (hours, shifts, breaks and holidays).\n\nThe rules applied to establish if the date passed is in business hours is the following.\n\nShifts act as exceptions to the hours configured for a particular date; that is, if a date is\nconfigured with both hours-based intervals and shifts, the shifts are in force and the intervals\nare disregarded.\n\nPeriods occurring on holidays are disregarded.\n\nPeriods that overlaps with a break are treated as inactive. In case a date overlaps with a shift\nand a break the shift will have priority. Priority works as follows:\n\nHolidays > Shifts > Breaks > Hours","ref":"OpenHours.Schedule.html#in_hours?/2"},{"type":"type","title":"OpenHours.Schedule.break/0","doc":"A tuple formed by a date and a list of intervals","ref":"OpenHours.Schedule.html#t:break/0"},{"type":"type","title":"OpenHours.Schedule.breaks/0","doc":"A list of breaks","ref":"OpenHours.Schedule.html#t:breaks/0"},{"type":"type","title":"OpenHours.Schedule.holidays/0","doc":"A list of Date structs representing the days the business is closed","ref":"OpenHours.Schedule.html#t:holidays/0"},{"type":"type","title":"OpenHours.Schedule.hour_schedule/0","doc":"A struct representing the regular weekly schedule. Each key corresponds with the three first\ncharacters of a week day. The values of each key are composed by lists of intervals.","ref":"OpenHours.Schedule.html#t:hour_schedule/0"},{"type":"type","title":"OpenHours.Schedule.shift/0","doc":"A tuple formed by a date and a list of intervals","ref":"OpenHours.Schedule.html#t:shift/0"},{"type":"type","title":"OpenHours.Schedule.shifts/0","doc":"A list of shifts","ref":"OpenHours.Schedule.html#t:shifts/0"},{"type":"type","title":"OpenHours.Schedule.t/0","doc":"A struct containing all data of a schedule","ref":"OpenHours.Schedule.html#t:t/0"},{"type":"type","title":"OpenHours.Schedule.time_zone/0","doc":"A string containing a valid IANA time zone","ref":"OpenHours.Schedule.html#t:time_zone/0"},{"type":"module","title":"OpenHours.TimeSlot","doc":"This module contains all functions to work with time slots.","ref":"OpenHours.TimeSlot.html"},{"type":"function","title":"OpenHours.TimeSlot.between/3","doc":"Calculates a list of time slots between two dates based on a Schedule. It follows the same rules\nas `OpenHours.Schedule.in_hours?/2`.","ref":"OpenHours.TimeSlot.html#between/3"},{"type":"type","title":"OpenHours.TimeSlot.t/0","doc":"Struct composed by a start datetime and an end datetime.","ref":"OpenHours.TimeSlot.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}